package com.gic.haoban.manage.service.entity;

import java.io.Serializable;

/**
 * 
 * @ClassName: TabHaobanMaterialContent
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月08日 15:24:22
 * @Modify
 * @CopyRight 
 */
public class TabMaterialContent implements Serializable {

    private static final long serialVersionUID = 9984223961500L;

    /**素材id*/
    private String materialId;
    /**素材类型, 1文本, 2图片, 3网页, 4视频, 5文件,6小程序*/
    private Integer materialType;
    /**微信最后更新时间*/
    private java.util.Date wxLastUploadTime;
    /**企业微信mediaid*/
    private String mediaId;
    private String wxEnterpriseId;
    private String imgUrl;
    private String urlMd5;
    /**0删除1正常*/
    private Integer statusFlag;
    /**创建时间*/
    private java.util.Date createTime;
    /**修改时间*/
    private java.util.Date updateTime;
    private int mediaType ;

    /**
     * 封面图
     */
    private String videoImgUrl;

    public int getMediaType() {
        return mediaType;
    }

    public void setMediaType(int mediaType) {
        this.mediaType = mediaType;
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public String getMaterialId() {
        return materialId;
    }

    public void setMaterialType(Integer materialType) {
        this.materialType = materialType;
    }

    public Integer getMaterialType() {
        return materialType;
    }

    public void setWxLastUploadTime(java.util.Date wxLastUploadTime) {
        this.wxLastUploadTime = wxLastUploadTime;
    }

    public java.util.Date getWxLastUploadTime() {
        return wxLastUploadTime;
    }

    public void setMediaId(String mediaId) {
        this.mediaId = mediaId;
    }

    public String getMediaId() {
        return mediaId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setUrlMd5(String urlMd5) {
        this.urlMd5 = urlMd5;
    }

    public String getUrlMd5() {
        return urlMd5;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setCreateTime(java.util.Date createTime) {
        this.createTime = createTime;
    }

    public java.util.Date getCreateTime() {
        return createTime;
    }

    public void setUpdateTime(java.util.Date updateTime) {
        this.updateTime = updateTime;
    }

    public java.util.Date getUpdateTime() {
        return updateTime;
    }

    public String getVideoImgUrl() {
        return videoImgUrl;
    }

    public void setVideoImgUrl(String videoImgUrl) {
        this.videoImgUrl = videoImgUrl;
    }
}